:root {
  --cell-height: 33px;
  --cell-width: 33px;
  --btn-height: 50px;
  --btn-width: 70px;
  --my-grey: rgb(201, 201, 201, 0.4);
  background-color: #b0c4de;
  background-image:
    linear-gradient(rgba(0, 0, 0, 0.05) 1px, transparent 1px),
    linear-gradient(90deg, rgba(0, 0, 0, 0.05) 1px, transparent 1px);
  background-size: 32px 32px;
  font-family: "Roboto Mono", monospace;
}

body {
  margin: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
}

main {
  display: flex;
  flex-direction: row;
}

header {
  text-align: center;
}

header > h1 {
  margin-top: 10px;
  margin-bottom: 2px;
}

.controls > h2 {
  margin-bottom: 5px;
  text-align: center;
}

#hideBtn {
  margin: 0;
  padding: 0;
  text-align: center;
  color: blue;
}

#hideBtn:hover {
  cursor: pointer;
}

#githubicon {
  position: absolute;
  top: 40px;
  right: 10vw;
  width: 70px;
  height: 70px;
  transition: 1.5s;
  z-index: 0;
  background-color: transparent;
  border-radius: 30px;
}

#githubicon:hover {
  transform: translateY(-5px);
  background-color: azure;
}

#homeIcon {
  position: absolute;
  top: 40px;
  left: 7vw;
  width: 70px;
  height: 70px;
  transition: 1.5s;
  z-index: 0;
  background-color: transparent;
}

#homeIcon:hover {
  transform: translateY(-5px);
}

#gameBoard,
.miniBoard {
  display: inline-flex;
  border: 2px black solid;
}

.cell {
  height: var(--cell-height);
  width: var(--cell-width);
  border: 1px dimgrey solid;
  background-color: var(--my-grey);
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
}

.blue {
  background-color: #1f75fe;
}

.red {
  background-color: #ed2939;
}

.yellow {
  background-color: yellow;
}

.green {
  background-color: #50c878;
}

.cyan {
  background-color: cyan;
}

.purple {
  background-color: purple;
}

.orange {
  background-color: orange;
}

#leftSideBox {
  height: inherit;
  width: max-content;
  margin-right: 70px;
}

ul {
  margin-top: 3px;
  border-radius: 10px;
  margin-bottom: 0;
  height: max-content;
}

#ctrlList {
  margin-top: 3px;
  border-radius: 10px;
  margin-bottom: 0;
  height: max-content;
  width: 170px;
}

#ctrlList p {
  padding-right: 4px;
  padding-left: 4px;
  margin-top: 1px;
  margin-bottom: 13px;
}

.nextPieceContainer {
  border: 1px solid black;
  border-radius: 10px;
  width: 175px;
  height: 225px;
  background-color: var(--my-grey);
  text-align: center;
  margin-top: 20px;
}

.heldPieceContainer {
  border: 1px solid black;
  border-radius: 10px;
  width: 175px;
  height: 225px;
  background-color: var(--my-grey);
  text-align: center;
  margin-left: 70px;
  margin-top: 20px;
}

.pointsContainer {
  font-size: 1.5rem;
}

.hidden {
  display: none;
}

#pointsRow {
  margin: 0;
  padding: 7px;
}

#points {
  margin-left: 5px;
}

#btns {
  display: flex;
  justify-content: space-around;
  margin-top: 10px;
}

.col {
  align-items: center;
}

.flash {
  height: inherit;
  width: inherit;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
}

.flashOn {
  background-color: RGBA(0, 0, 0, 0.25);
}

.btn {
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  height: var(--btn-height);
  width: var(--btn-width);
  border: 1px black solid;
  border-radius: 7px;
}

.btn:hover {
  cursor: pointer;
  background-color: var(--my-grey);
}

.shadowBox {
  box-shadow: 2px 4px 8px 2px rgba(0, 0, 0, 0.2),
    0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

#ctrlList {
  border: 1px solid black;
}

#highPointsRow {
  margin-top: 5px;
}

#modal-box {
  z-index: 1;
  position: fixed;
  padding: 0;
  margin: 0;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6);
}

#inner-modal-box {
  position: relative;
  text-align: center;
  border-radius: 5px;
  box-shadow: inset 0 0 0 4px black;
  margin-left: 40vw;
  margin-top: 10vh;
  background-color: azure;
  width: 350px;
  height: 15vh;
}

#modal-message {
  vertical-align: middle;
  font-family: "Roboto Mono", monospace !important;
  font-size: xx-large;
  line-height: 15vh;
}

#close-button {
  position: absolute;
  right: 20px;
  top: 10px;
  font-size: 30px;
  font-weight: bold;
  border-radius: 30px;
  width: 25px;
  height: 25px;
  line-height: 25px;
}

#close-button:hover {
  cursor: pointer;
  color: red;
}

